/****************** <lalVerbatim file="BlockHV">
Author: Tibbits, M. M.
$Id: Block.h,v 1.1 2002/01/24 23:08:04 jolien Exp $
********************************* </lalVerbatim> */

#ifndef _BLOCK_H_
#define _BLOCK_H_

#include <math.h>
#include <mpi.h>
#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>
#include <lal/LALStdlib.h>
#include <lal/AVFactories.h>
#include <lal/LALMoment.h>
#include <lal/Comm.h>

NRCSID( BLOCKH, "$Id: Block.h,v 1.1 2002/01/24 23:08:04 jolien Exp $");


/*  Identifiers for MPI messages types  */
enum
{
	PassData,
	GetData,
	PassResult,
	RePass,
	ExchFinished
}
ExchType;

typedef struct
tagBlockSearchParams
{
	INT4		searchMaster;
	INT4		maxMoment;
	INT4		curMoment;
	INT4		segID;
	INT4		rank;

	UINT4		numSlaves;
	UINT4		segmentLength;

	CHAR		channel[dbNameLimit];

	REAL8Vector	*vec;		/*  Container for data received from dataconAPI  */
	REAL8Vector	*res;		/*  Container for sending/receiving results  */
	gpsTimeInterval times;		/*  The GPS start and end time of the data   */
	BOOLEAN		initialized;	/*  Set to 1 when fully initialized  */
}
BlockSearchParams;

#endif /* _BLOCK_H */

