/*----------------------------------------------------------------------- 
 * 
 * File Name: ApplySearch.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: ApplySearch.h,v 1.8 2002/01/16 04:18:53 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#if 0
<lalVerbatim file="ApplySearchHV">
Author: Brown, D. A.
$Id: ApplySearch.h,v 1.8 2002/01/16 04:18:53 duncan Exp $
</lalVerbatim> 

<lalLaTeX>

\section{Header \texttt{ApplySearch.h}}
\label{inspiral:ApplySearch.h}

Provides error codes and the \texttt{BuildInspiralOutPut()} function for the shared object {\tt ApplySearch()} function.

</lalLaTeX>
#endif

#ifndef _APPLYSEARCH_H
#define _APPLYSEARCH_H

#include "Inspiral.h"

#include <lal/FindChirpExch.h>
#include <lal/FindChirpEngine.h>


#ifdef  __cplusplus
extern "C" {
#endif


NRCSID (APPLYSEARCHH, PKG "$Id: ApplySearch.h,v 1.8 2002/01/16 04:18:53 duncan Exp $");

#if 0
<lalLaTeX> 
\subsection*{Error codes} 
</lalLaTeX>
#endif
/* <lalErrTable> */
#define APPLYSEARCHH_ENULL 1
#define APPLYSEARCHH_ENNUL 2
#define APPLYSEARCHH_ENUMZ 3
#define APPLYSEARCHH_EDELT 4
#define APPLYSEARCHH_ERHOZ 5
#define APPLYSEARCHH_ECHIZ 6
#define APPLYSEARCHH_ETMPL 7
#define APPLYSEARCHH_EALOC 8
#define APPLYSEARCHH_ERANK 9
#define APPLYSEARCHH_EUEXT 10
#define APPLYSEARCHH_MSGENULL "Null pointer"
#define APPLYSEARCHH_MSGENNUL "Non-null pointer"
#define APPLYSEARCHH_MSGENUMZ "Data segment length is zero"
#define APPLYSEARCHH_MSGEDELT "deltaT is zero or negative"
#define APPLYSEARCHH_MSGERHOZ "snr squared threshold is zero or negative"
#define APPLYSEARCHH_MSGECHIZ "chi squared threshold is zero or negative"
#define APPLYSEARCHH_MSGETMPL "linked list of templates to filter in null"
#define APPLYSEARCHH_MSGEALOC "Memory allocation error"
#define APPLYSEARCHH_MSGERANK "Search node has incorrect rank"
#define APPLYSEARCHH_MSGEUEXT "Unrecognised exchange type"
/* </lalErrTable> */

void
BuildInspiralOutPut (
    LALStatus                  *status,
    LALSearchOutput            *output,
    InspiralEvent              *eventList
    );

void
BuildFilterOutPut (
    LALStatus                  *status,
    LALSearchOutput            *output,
    REAL4Vector                *rhosqVec,
    REAL8                       deltaT
    );

#ifdef  __cplusplus
}
#endif

#if 0
<lalLaTeX>
\vfill{\footnotesize\input{ApplySearchHV}}
</lalLaTeX> 
#endif

#endif /* _APPLYSEARCH_H */
